﻿@model IPagedList<LedLights>
@{
    ViewBag.Title = Resources.LedLighting_Title;
    Layout = "~/Views/Shared/_Layout.cshtml";
    var active = string.Empty;
    var vbc = ViewBag.CategoryId as int?;
}

<div class="row">
    <div class="col-md-12">
        <div class="well well-sm col-md-12">
            <div class="col-md-3">
                <h5>@Resources.LedLighting_Categories</h5>
                <ul class="list-group">
                    <li class="list-group-item @(0.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home")">@Resources.LedLighting_All</a></li>
                    <li class="list-group-item @(1.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=1})">Bulb/Spot</a></li>
                    <li class="list-group-item @(2.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=2})">Tube</a></li>
                    <li class="list-group-item @(3.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=3})">Down</a></li>
                    <li class="list-group-item @(4.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=4})">Flood</a></li>
                    <li class="list-group-item @(5.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=5})">Kitchen</a></li>
                    <li class="list-group-item @(6.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=6})">Panel</a></li>
                    <li class="list-group-item @(7.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=7})">Highbay</a></li>
                    <li class="list-group-item @(8.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=8})">Street</a></li>
                    <li class="list-group-item @(9.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=9})">Track</a></li>
                    <li class="list-group-item @(10.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=10})">Strips</a></li>
                    <li class="list-group-item @(14.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=14})">Wall washer</a></li>
                    <li class="list-group-item @(15.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=15})">Pendant</a></li>
                    <li class="list-group-item @(16.IsActive(vbc))"><a href="@Url.Action("LedLighting", "Home", new {category=16})">Pool</a></li>
                </ul>
            </div>
            <div class="col-md-9">
                <h5>@ViewBag.Category</h5>
                @foreach (var item in Model)
                {
                    <div class="col-md-3">
                        <a class="thumbnail" href="@Url.Action("LedProduct","Home", new { id=item.Id, returnPage = ViewBag.ReturnUrl })" title="@item.Model">
                            <img src="~/images/Led/@item.Image?width=210&height=180&quality=60&mode=stretch" alt="@item.Model" title="@item.Model" />
                            <div class="caption">@item.Model</div>
                        </a>
                    </div>   
                }
                <div class="clear"></div>
                <div class="center">
                    @Html.PagedListPager(Model, page => Url.Action("LedLighting", new { page = page, category = ViewBag.CategoryId as int? }))
                </div>
            </div>
        </div>
    </div>
</div>
                    
